import { ChannelInterface } from "prompt-anything";
import { DiscordVisual } from "./visuals/DiscordVisual";
import { MenuVisual } from "./visuals/MenuVisual";
import { MessageVisual } from "./visuals/MessageVisual";
import { Message, TextChannel } from 'discord.js';
export declare class DiscordChannel implements ChannelInterface<Message> {
    id: string;
    channel: TextChannel;
    messages: Message[];
    constructor(channel: TextChannel);
    /**
     * Store all messages sent within this channel
     * @param message Message to store
     */
    storeMessages(message: Message | Message[]): void;
    /**
     * Set up a menu embed on a message response
     * @param menuEmbed What menu to set up
     * @param messageResponse The message to set the menu up on
     */
    private trySetupPagination;
    sendMenuVisual(visual: MenuVisual): Promise<Message | Message[]>;
    sendMessageVisual(visual: MessageVisual): Promise<Message | Message[]>;
    send(visual: DiscordVisual): Promise<Message | Message[]>;
}
